rollout VuStoreMorphs "VuStoreMorphs" width:162 height:257
(
	pickbutton 'btnSource' "Source" pos:[40,10] width:80 height:30 toolTip:"Source" align:#left
	pickbutton 'btnTarget' "Target" pos:[40,47] width:80 height:30 toolTip:"Target" align:#left
	button 'btnStore' "Store" pos:[19,179] width:123 height:62 toolTip:"Store morph target" align:#left
	spinner 'spnChannel' "Channel:" pos:[42,90] width:51 height:16 range:[1,99,1] type:#integer scale:1 align:#left
	checkbox 'chkOverWrite' "OverWrite" pos:[42,112] width:80 height:21 checked:true align:#left
	label 'lblOverWrite' "(OFF means use next empty channel starting at channel specified above)" pos:[22,133] width:123 height:45 align:#left
	
	global ConvToEditPoly = false
	global mySource
	global myTarget

	on btnSource picked obj do
	(
	mySource = obj
	btnSource.caption = obj.name
	)
	on btnTarget picked obj do
	(
	myTarget = obj
	btnTarget.caption = obj.name
	-- remember to convert back after collapse
		if classOf myTarget == editable_poly then ConvToEditPoly = true
	)
	on btnStore pressed do
	(
		if mySource == undefined then messageBox "Please pick Source"
		else
			(
			if myTarget == undefined then messageBox "Please pick Target"
			else 
				(
				if spnChannel.value > 99 then messagebox "Max Channel (99) reached !!!"
				else
					(
					-- calls the MCG here
					addModifier myTarget (Vu_CopyTopology ())
					myTarget.modifiers[#Vu_CopyTopology].Source = mySource
					myTarget.modifiers[#Vu_CopyTopology].targetChannel = spnChannel.value
					myTarget.modifiers[#Vu_CopyTopology].OverWrite = chkOverWrite.state
					local ShowMorphs = myTarget.modifiers[#Vu_ShowMorphTargets]
					if ShowMorphs != undefined then deleteModifier myTarget myTarget.modifiers[#Vu_ShowMorphTargets]
					-- collapse to take effect immediately
					maxOps.CollapseNodeTo myTarget 1 off
				
					if ConvToEditPoly == true then convertTo myTarget PolyMeshObject
					spnChannel.value += 1
				)
			)
		)
	)
	on spnChannel changed val do
		(
	
	)
	on chkOverWrite changed state do
		(
	
	)
)

createdialog VuStoreMorphs pos:[800,800]